LOCALE::PO4A::DOCBOOK.3PM(1)

NOME
Locale::Po4a::Docbook - converter documentos DocBook XML de/para ficheiros PO

DESCRIÇÃO
O objetivo do projeto po4a (PO for anything: PO para qualquer coisa) é facilitar traduções (e o mais interessante, a manutenção das traduções) a usar as ferramentas do gettext em áreas em que não se esperava, como na documentação.

Locale::Po4a::Docbook é um módulo para ajudar a tradução de documentos DocBook XML em outras línguas [humana].

ESTADO DESTE MÓDULO
Este módulo é totalmente funcional, uma vez que depende do módulo Locale::Po4a::Xml. Isso só define as etiquetas traduzíveis e atributos.

O único problema conhecido é que ele ainda não manipula entidades e este inclui as entidades de inclusão de ficheiros, mas pode traduzir a maioria só destes ficheiros (exceto os ficheiros de entidades típicas) e é geralmente melhor mantê-los separados.

SUBSTITUIÇÃO DO COMPORTAMENTO PREDEFINIDO COM AS OPÇÕES DE LINHA DE COMANDO
O comportamento predefinido dos módulos fornecidos pelo sistema é configurado para estar no lado seguro.

Por exemplo, a predefinição da etiqueta <author> está a apontar para aparecer em <para>. Mas pode estar a usar apenas em <bookinfo>. Para este caso, pode traduzi-lo independentemente para cada autor.

Se não gostar do comportamento predefinido do módulo xml e os módulos derivados dele, poderá fornecer opções de linha de comando para alterar o comportamento deles. Por exemplo, pode adicionar o seguinte ao ficheiro de configuração po4a:

  opt:"-k 0 -o nodefault=\"<bookinfo> <author>\" \
            -o break=\"<bookinfo> <author>\" \
            -o untranslated=\"<bookinfo>\" \
            -o translated=\"<author>\""

Isso substitui o comportamento predefinido para <bookinfo> e <author>, define <bookinfo> e <author> para interromper o fluxo de dados de entrada nesses tags , define <bookinfo> para não traduzir o conteúdo marcado dele e defina <author> para traduzir o conteúdo marcado dele.

VER TAMBÉM
Locale::Po4a::TransTractor(3pm), Locale::Po4a::Xml(3pm), po4a(7)

AUTORES
 Jordi Vilalta <jvprat@gmail.com>

DIREITOS DE AUTOR E LICENÇA
 Copyright © 2004 Jordi Vilalta  <jvprat@gmail.com>
 Copyright © 2007-2009 Nicolas François <nicolas.francois@centraliens.net>

This program is free software; you may redistribute it and/or modify it under the terms of GPL v2.0 or later (see the COPYING file).